Bug 280011 - kyum: lock-ups when selecting "query..." from context menu.
kyum: lock-ups when selecting "query..." from context menu.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kyum (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-06 00:44 EDT by Vince Schiavoni
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-23 14:15:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vince Schiavoni 2007-09-06 00:44:41 EDT
Description of problem:
kyum freezes/locks up sporadically when "query installed version..." (either
short or extended) is selected from the (right-click) context menu on the
"Actions=>Packages Available for Update" window (seems to be OK for "Packages
Available for Install").  I also just noticed that "Show Dependencies" always
fails with "Process xyz exited abnormally with code 0".  Example:

["Status" frame]
Executing command: 
yum deplist audacious-1.3.2-1.fc6
Process 30543 (yum) has been started.
Process 30543 exited abnormally with code 0

[END]

Version-Release number of selected component (if applicable):
kyum-0.7.5-4.fc6 from Fedora Project
kde 3.5.7-9.fc6 from Fedora, KDE Packaging Project, and others.

How reproducible:
Often, but not every single time - but trying to query more than a few (let's
say 3-4) times will inevitably result in a freeze, after which kyum must be
"killed".

Steps to Reproduce:
1. Launch kyum;
2. Load with "List Updates";
3. Attempt to "Query Installed Version" (either short or extended) 3-5 times;
4. Observe meltdown.
  
Actual results:
Application freezes after one or more "Query..." attempts; "Show Dependencies"
fails as noted.

Expected results:
"Query..." outputs desired info; "Show Dependencies" shows dependencies.

Additional info:
uname -a: Linux presario.localdomain 2.6.22.4-45.fc6 #1 SMP Tue Aug 21 18:29:10
EDT 2007 i686 athlon i386 GNU/Linux
Smolt Profile:
http://smolt.fedoraproject.org/show?UUID=02d04cb7-5a0e-4b31-8f1f-7be6f2d85507
Comment 1 Vince Schiavoni 2007-09-13 00:30:09 EDT
Just upgraded my second machine to F7, and am getting the exact same results;
this machine has very few 3rd-party packages installed on it (yet), so repo
conflicts should not be a problem here (although I can't be 100% sure...).

Version-Release number of selected component (if applicable):
kyum-0.7.5-7.fc7 from Fedora Project
kdebase-3.5.7-13.fc7 from Fedora Project

Additional info:
uname -a: Linux etower.localdomain 2.6.22.5-76.fc7 #1 SMP Thu Aug 30 13:47:21
EDT 2007 i686 i686 i386 GNU/Linux
Smolt Profile:
http://smolt.fedoraproject.org/show?UUID=fa3de365-3ea2-43d3-b0b8-0544bc38eb35
emachines etower 466id
Comment 2 Jochen Schmitt 2007-09-23 14:15:47 EDT
At first, sorry for the deley. I have try to reproduced the reported issue on my
machine. Unfortunately, I can't recognize any issue after I have following the
described step in your error report. 

Note You need to log in before you can comment on or make changes to this bug.